From: =?utf-8?q?Rapha=C3=ABl_Hertzog?= <hertzog@debian.org>
Date: Fri, 18 Jun 2021 08:51:12 +0200
Subject: Fix pidl for recent perl versions

Origin: vendor
Last-Update: 2016-03-09

defined(@array) is no longer allowed.
Last-Update: 2016-03-09
---
 Samba/source/pidl/pidl | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/Samba/source/pidl/pidl b/Samba/source/pidl/pidl
index 8084213..c1a0c16 100755
--- a/Samba/source/pidl/pidl
+++ b/Samba/source/pidl/pidl
@@ -580,7 +580,7 @@ sub process_file($)
 		require Parse::Pidl::IDL;
 
 		$pidl = Parse::Pidl::IDL::parse_file($idl_file, \@opt_incdirs);
-		defined @$pidl || die "Failed to parse $idl_file";
+		defined $pidl || die "Failed to parse $idl_file";
 		require Parse::Pidl::Typelist;
 		Parse::Pidl::Typelist::LoadIdl($pidl);
 	}
